> For the complete documentation index, see [llms.txt](https://docs.xplorpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xplorpay.com/api-reference/resources/ach-request-validation-response-and-return-codes/ach-request-validation-codes.md).

# ACH Request Validation Codes

We will validate your ACH request utilizing the following rules to help reduce returned ACH payments.

Below are common validations for the incoming request on ACH transactions.

<table data-header-hidden><thead><tr><th width="76" valign="top"></th><th valign="top"></th></tr></thead><tbody><tr><td valign="top"><ol start="1"><li> </li></ol></td><td valign="top">Amount must include two decimal places</td></tr><tr><td valign="top"><ol start="2"><li> </li></ol></td><td valign="top">Amount must only contain digits and a decimal point</td></tr><tr><td valign="top"><ol start="3"><li> </li></ol></td><td valign="top">Amount must be 0.00 for validate transaction</td></tr><tr><td valign="top"><ol start="4"><li> </li></ol></td><td valign="top">Amount required (absolute number with two decimal places)</td></tr><tr><td valign="top"><ol start="5"><li> </li></ol></td><td valign="top">Routing number required</td></tr><tr><td valign="top"><ol start="6"><li> </li></ol></td><td valign="top">Account number required</td></tr><tr><td valign="top"><ol start="7"><li> </li></ol></td><td valign="top">Individual name required</td></tr><tr><td valign="top"><ol start="8"><li> </li></ol></td><td valign="top">Account type required (<code>Checking</code> or <code>Savings</code>)</td></tr><tr><td valign="top"><ol start="9"><li> </li></ol></td><td valign="top">Routing number should be 9 digits</td></tr><tr><td valign="top">10.</td><td valign="top">Account number should be 1 to 17 digits</td></tr><tr><td valign="top">11.</td><td valign="top">Transaction-key should not be provided</td></tr><tr><td valign="top">12.</td><td valign="top">Valid values are <code>true</code> or <code>false</code></td></tr><tr><td valign="top">13.</td><td valign="top">Type should be <code>Debit</code> — Transfer funds from the customer bank account to your (merchant) bank account or <code>Credit</code> — Transfer funds from your (merchant) bank account to customer bank account</td></tr><tr><td valign="top">14.</td><td valign="top">Software type required. Please provide the name of your software, product, or service</td></tr><tr><td valign="top">15.</td><td valign="top">Software type version required. Provide version of software-type</td></tr><tr><td valign="top">16.</td><td valign="top">Provider <code>Account Id</code> required</td></tr><tr><td valign="top">17.</td><td valign="top">Valid values are <code>Pending</code>, <code>Settling</code>, <code>Returned</code>, or <code>Settled</code></td></tr><tr><td valign="top">18.</td><td valign="top">Invoice value required if invoice is the check-field</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xplorpay.com/api-reference/resources/ach-request-validation-response-and-return-codes/ach-request-validation-codes.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
